#
# $Id: nvu.spec,v 0.0.1 2005/02/04 04:40:05 legion Exp $
#

Summary:        Nvu is a complete Web Authoring System
Name:           nvu
Version:        1.0PR
Release:       	alt1
License:        MPL/GPL
Group:          Development/Other
URL:			http://www.nvu.com/

Source0:	nvu-1.0PR-sources.tar.bz2
Source1:	nvu-mozconfig
Source2:	nvu-0.80-icons.tar.bz2
Source3:	nvu-0.80-myspell-addon.tar.bz2

Patch0:		nvu-0.70-configure_in-fix.patch

# Automatically added by buildreq on Tue Jul 13 2004
BuildRequires: xorg-x11-devel-static xorg-x11-libs doxygen fontconfig-devel freetype2-devel 
BuildRequires: gcc-c++ glib2-devel libIDL-devel libatk-devel libgtk+2-devel libjpeg-devel 
BuildRequires: libpango-devel libpng-devel libstdc++-devel pkgconfig unzip zip zlib-devel
BuildRequires: chrpath 

Requires:	gtk+2 >= 2.2.0 freetype2 

%define fullname		%name-%version
%define nvu_prefix  	%_libdir/%fullname

%description
Nvu (pronounced N-view, for a "new view") is a complete Web Authoring Sistem that combines web 
file management and easy-to-use WYSIWYG (What You See Is What You Get) web page editing.
Nvu was started from the Mozilla Composer code base.

%prep
%setup -q -n %name-%version -c 
%setup -q -n %name-%version/mozilla -T -D -a2

%__cp -f %SOURCE1 ./.mozconfig

%patch0 -p1

%build
%add_optflags %optflags_shared
%add_findprov_lib_path %nvu_prefix
export MOZ_STANDALONE_COMPOSER=1 MOZILLA_OFFICIAL=1 BUILD_OFFICIAL=1

# Add fake RPATH
rpath="/$(printf %%s '%nvu_prefix' |tr '[:print:]' '_')"
export LDFLAGS="$LDFLAGS -Wl,-rpath,$rpath"

%configure \
	--enable-optimize \
    	--disable-debug \
	--disable-svg \
    	--disable-ldap \
	--disable-mailnews \
	--disable-installer \
	--disable-activex \
	--disable-activex-scripting \
	--disable-tests \
	--disable-oji \
	--disable-necko-disk-cache \
	--enable-single-profile \
	--disable-profilesharing \
	--enable-extensions=wallet,xml-rpc,xmlextras,pref,universalchardet,editor/cascades,spellcheck \
	--enable-image-decoders=default,-xbm \
	--enable-necko-protocols=http,ftp,file,jar,viewsource,res,data \
	--disable-pedantic \
	--disable-short-wchar \
	--enable-xprint \
	--enable-strip-libs \
	--enable-crypto \
	--disable-mathml \
	--with-system-zlib \
	--enable-default-toolkit=gtk2 \
	--enable-xft \
	--disable-freetype2 \
 \
	--with-system-mng \
	--with-system-png \
	--with-pthreads \
	--enable-elf-dynstr-gc \
	--enable-reorder \
	--enable-shared \
	--includedir=%_includedir/%name \
	--prefix=%_prefix 

%make_build \
	prefix=%_prefix \
	idldir=%_datadir/idl/%name \
	mozappdir=%nvu_prefix \
	MOZ_STANDALONE_COMPOSER=1 

%install
%makeinstall \
	idldir=%buildroot/%_datadir/idl/%name \
	includedir=%buildroot/%_includedir/%name \
	mozappdir=%buildroot/%nvu_prefix \
	MOZ_STANDALONE_COMPOSER=1 

# make package link 
%__ln_s %fullname %buildroot%_libdir/%name

# icons
%__install -D -m 644 nvu48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 nvu32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 nvu16.png %buildroot/%_miconsdir/%name.png

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Applications/Development/Development environments" \
title="Nvu" \
longtitle="The Linspire Nvu project"
EOF

# add more myspell
%__mkdir_p %buildroot/%nvu_prefix/components/myspell
cd %buildroot/%nvu_prefix/components
  %__tar -jxf %SOURCE2
cd -

# Add real RPATH
rpath="/$(printf %%s '%nvu_prefix' |tr '[:print:]' '_')"
find "%buildroot/%nvu_prefix/" \
  -name '%name-bin' \
  -o -name 'mozilla-xremote-client' \
  -o -name 'regchrome' \
  -o -name 'regxpcom' \
  -o -name '*.so' | 
while read f; do
  if chrpath -l "$f" | fgrep -qs "RPATH=$rpath"; then
	  chrpath -r "%nvu_prefix" "$f"
  fi
done

%preun
if [ "$1" = "0" ]; then
	[ ! -d "%nvu_prefix/extensions" ] || %__rm -rf "%nvu_prefix/extensions"
	[ ! -d "%nvu_prefix/chrome/overlayinfo" ] || %__rm -rf "%nvu_prefix/chrome/overlayinfo"
	[ ! -f "%nvu_prefix/defaults.ini" ] || %__rm -f "%nvu_prefix/defaults.ini"
	%__rm -f %nvu_prefix/chrome/*.rdf
	%__rm -f %nvu_prefix/component.reg
	%__rm -f %nvu_prefix/components.ini
	%__rm -f %nvu_prefix/components/*.dat
fi

%post 
%update_menus
%_bindir/%name -register

%postun
%clean_menus

%files 
%_bindir/%name
%_libdir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png
%nvu_prefix
%exclude %nvu_prefix/TestGtkEmbed
%exclude %nvu_prefix/xpcshell
%exclude %nvu_prefix/xpicleanup
%exclude %nvu_prefix/xpidl
%exclude %nvu_prefix/xpt_dump
%exclude %nvu_prefix/xpt_link
%doc LEGAL LICENSE

%changelog
* Tue Jun 14 2005 Alexey Gladkov <legion@altlinux.ru> 1.0PR-alt1
- new version.

* Sun Mar 13 2005 Alexey Gladkov <legion@altlinux.ru> 0.90-alt1
- new version.

* Tue Feb 15 2005 Alexey Gladkov <legion@altlinux.ru> 0.81-alt1
- new version.

* Tue Dec 30 2003 Alexey Gladkov <legion@altlinux.ru> 0.80-alt1
- first build for ALT Linux.
